Simulation
Update simulation
Update an existing simulation. Pass the full `scenarios` array (existing entries you want to keep plus any changes).
PUT/simulations/
Bearersession
Path parameters
simulation_idrequiredBody
6 fields
·
Name of the simulation for identification.
ID of the agent to test.
curl -X PUT 'https://omnidim.io/api/v1/simulations/{simulation_id}' \ -H 'Authorization: Bearer YOUR_API_KEY' \ -H 'Content-Type: application/json' \ -d '{ "name": "Pricing objection run", "agent_id": 158910 }'
Example response
{ "success": true, "simulation": { "id": 456, "name": "Customer Support Test (Updated)", "bot_id": { "id": 1234, "name": "Customer Support Agent" }, "status": "Draft", "number_of_call_to_make": 1, "concurrent_call_count": 3, "max_call_duration_in_minutes": 5 } }
BearerAuthheader
AuthorizationBearer <token>Bearer token authentication. Obtain your API key from the OmniDimension dashboard.
simulation_id*integerapplication/jsonname?stringName of the simulation for identification.
agent_id?integerID of the agent to test.
number_of_call_to_make?integerNumber of calls to make per scenario (default 1, max 3).
Range
1 <= value <= 3concurrent_call_count?integerNumber of concurrent calls to run (default 3, max 3).
Range
1 <= value <= 3max_call_duration_in_minutes?integerMaximum duration for each call in minutes (default 3, max 10).
Range
1 <= value <= 10scenarios?Full scenario list. Include existing scenarios you want to keep, plus any new or updated ones.
Response body
application/jsonUpdated simulation.
application/jsonsuccess?booleansimulation?A test simulation for an agent.
Was this page helpful?
